import h5py
import pylab
import numpy

def mid_array(a):

    return 0.5*(a[1:]+a[:-1])

indices = [68,100]
fnames = ['snapshot_'+str(ind)+'.h5' for ind in indices]
for fname in fnames:
    with h5py.File(fname,'r') as f:
        v_list = numpy.array(f['x_velocity'])
        d_list = numpy.array(f['density'])
        e_list = d_list*v_list**2
        x_list = numpy.array(f['grid'])
        dx_list = mid_array(numpy.diff(x_list))
        E_list = dx_list*e_list[1:-1]
        #pylab.subplot(211)
        #pylab.plot(x_list, v_list)
        #pylab.subplot(212)
        pylab.hist(v_list[1:-1], weights=E_list,alpha=0.5)
pylab.xlabel('Velocity')
pylab.ylabel('Energy')
pylab.legend(['before','after'],loc='best')
pylab.show()
